<?php
namespace App\Models\Core\App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ApplicationPage extends Model
{
    protected $connection = 'system';
    protected $table = 'application_pages';
    public $timestamps = false;

    public function application()
    {
        return $this->belongsTo(\App\Models\Core\App\Application::class);
    }

    public function scopeActive($query)
    {
        return $query->where('active', 1);
    }

    public function scopeByApplication($query, $application_id)
    {
        return $query->where('application_id', $application_id);
    }

    public function scopeBySlug($query, $slug)
    {
        return $query->where('slug', $slug);
    }
}
